#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#include <math.h>
#include <limits.h>

#include <sys/time.h>
#include <time.h>

#include "simple_src.h"

#define IN_AMOUNT 1200

int main(void)
{

       struct timeval now;

       int error = gettimeofday(&now, NULL);

       assert(!error);

        srand (now.tv_usec);

        SimpleSRC *ssrc = simple_src_new();

        jack_default_audio_sample_t from[IN_AMOUNT];
        jack_default_audio_sample_t to[150000];

        for (jack_nframes_t i=0 ; i<IN_AMOUNT ; i++)
                scanf("%f\n",&from[i]);

        for (jack_nframes_t i=0 ; i<150000 ; i++)
                to[i] = 0.0;

        jack_nframes_t used = 0;
        jack_nframes_t consumed = 0;

/*
        while (consumed<IN_AMOUNT) {

                jack_nframes_t pulled_this_tick;

                used += simple_src_process(ssrc,
                                           from+consumed, IN_AMOUNT - consumed,
                                           to+used, 3,
//                                           1.005,
                                           0.995 + (rand() * 0.01)/RAND_MAX,
                                           &pulled_this_tick,
                                           NULL);

                consumed += pulled_this_tick;


        }
*/

        while (consumed<IN_AMOUNT) {

                jack_nframes_t pulled_this_tick;

                used += simple_src_process(ssrc,
                                           from+consumed, 2,
                                           to+used, 150000,
//                                           1.005,
                                           0.995 + (rand() * 0.01)/RAND_MAX,
                                           &pulled_this_tick,
                                           NULL);

                assert(pulled_this_tick==2);
                consumed += pulled_this_tick;


        }

        for (jack_nframes_t i=0 ; i<used ; i++)
                printf("%d %f\n",i,to[i]);

        simple_src_del(ssrc);

        return EXIT_SUCCESS;
}
